Running Electric varies with the different platforms:

- UNIX/Linux Although you may be able to double-click on the icon from some file managers, you can always run Electric from a shell window by typing:
  `java -jar electric.jar`

- Windows You can run Electric by double-clicking on the file "electric.jar". You can also run Electric from a command window by typing:
  `java -jar electric.jar`

- Macintosh Macintosh computers must be running OS 10.3 or later. You can run Electric by double-clicking on the file "electric.jar". You can also run Electric from a shell window by typing:
  `java -jar electric.jar`

If the above form of the command does not work, try this alternate form:

`java -classpath electric.jar com.sun.electric.Launcher`

There are a number of options that can be given at the end of the command line:

- `-mdi` force a multiple document interface style (where Electric is one big window with smaller edit windows in it).
- `-sdi` force a single document interface style (where each Electric window is separate).
- `-s <script>` run the <script> file through the Bean shell.
- `-batch` run in batch mode (no windows or other user iterface are shown).
- `-version` provides full version information including build date.
- `-v` provides brief version information.
- `-help` prints a list of available command options.